be.fgov.ehealth.rn.baselegaldata.v1

## Class AdministratorWithStatusAndSourceType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalAdministratorType
  - - be.fgov.ehealth.rn.baselegaldata.v1.AdministratorWithStatusAndSourceType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:58:46+01:00",
                 comments="JAXB RI v2.3.7")
      public class AdministratorWithStatusAndSourceType
      extends AbstractOptionalAdministratorType
      implements Serializable

  Java class for AdministratorWithStatusAndSourceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AdministratorWithStatusAndSourceType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AbstractOptionalAdministratorType">
             <attribute name="Status" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DatagroupStatusType" />
             <attribute name="Source" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}SourceType" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdministratorWithStatusAndSourceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSource()` Gets the value of the source property.
    `String` | `getStatus()` Gets the value of the status property.
    `void` | `setSource(String value)` Sets the value of the source property.
    `void` | `setStatus(String value)` Sets the value of the status property.

    - ### Methods inherited from class be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalAdministratorType

      `getInceptionDate, getLocation, getSpecialNotion, setInceptionDate, setLocation, setSpecialNotion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdministratorWithStatusAndSourceType

          public AdministratorWithStatusAndSourceType()

  - ### Method Detail

    - #### getStatus

          public String getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `String`

    - #### setStatus

          public void setStatus(String value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSource

          public String getSource()

      Gets the value of the source property.
      Returns:
        possible object is `String`

    - #### setSource

          public void setSource(String value)

      Sets the value of the source property.
      Parameters:
        `value` - allowed object is `String`

Connector Package PERSMIDWIFE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.